<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class MakeNullableInSettingBeneficiariesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('setting_beneficiaries', function (Blueprint $table) {
            $table->string('bank_address')->nullable()->change();
            $table->string('swift')->nullable()->change();
            $table->string('cnap')->nullable()->change();
            $table->string('bank_branch')->nullable()->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('setting_beneficiaries', function (Blueprint $table) {
            //
        });
    }
}
